<?php
/**
 * User links on top bar
 *
 * @package Edumall
 * @since   1.3.1
 * @version 2.4.0
 */

defined( 'ABSPATH' ) || exit;
?>
<div class="top-bar-user-links">
	<div class="link-wrap">
		<?php if ( ! is_user_logged_in() ) { ?>
		<?php if ( true == get_theme_mod( 'custom_MRRTL_ditits', false )) : ?>
		
			<a href="<?php bloginfo('url'); ?>/?login=true&type=login"
			   title="<?php esc_attr_e( 'Log in', 'edumall' ); ?>"
			   class="digits-login-modal"
			   type="4"
			><?php esc_html_e( 'Log in', 'edumall' ); ?></a>
			
			<?php if (get_option('users_can_register') == true ){ ?>
			<a href="<?php bloginfo('url'); ?>/?login=true&type=register"
			   title="<?php esc_attr_e( 'Register', 'edumall' ); ?>"
			   class="digits-login-modal"
			   type="2"
			><?php esc_html_e( 'Register', 'edumall' ); ?></a>
			<?php } ?>
			
<?php else : ?>
	<a href="javascript:void(0);"
			   title="<?php esc_attr_e( 'Log in', 'edumall' ); ?>"
			   class="open-popup-login top-bar-login-link"
			><?php esc_html_e( 'Log in', 'edumall' ); ?></a>
			<?php if (get_option('users_can_register') == true ){ ?>
			<a href="javascript:void(0);"
			   title="<?php esc_attr_e( 'Register', 'edumall' ); ?>"
			   class="open-popup-register top-bar-register-link"
			><?php esc_html_e( 'Register', 'edumall' ); ?></a>
			<?php } ?>
<?php endif; ?>
			
		<?php } else { ?>
			<?php
			$profile_url  = apply_filters( 'edumall_user_profile_url', '' );
			$profile_text = apply_filters( 'edumall_user_profile_text', esc_html__( 'Profile', 'edumall' ) );
			?>
			<?php if ( '' !== $profile_url && '' !== $profile_text ): ?>
				<a href="<?php echo esc_url( $profile_url ); ?>"><?php echo esc_html( $profile_text ); ?></a>
			<?php endif; ?>
			<a href="<?php echo esc_url( wp_logout_url( home_url() ) ); ?>"><?php esc_html_e( 'Log out', 'edumall' ); ?></a>
		<?php } ?>
	</div>
</div>
